#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

puts"じゃんけんスタート!1(✊)または2(✌)または3(✋)を入力してください。"
puts"半角でお願いします"
while true
  
  te=["1","2","3"]
  
  print"自分が出した手を数字で入力:"

  my=gets.to_i

  
  printf("あなたが出したのは%dです。\n",my)
  sleep(3)
  te=rand(te.length)+1
  printf("相手が出したのは、%dです。\n",te)
  if my==1&&te==2||my==2&&te==3||my==3&&te==1
    puts"あなたの勝ちです!!"
pid = spawn "display -geometry +10+20 satou.xcf"
  elsif my==1&&te==3||my==2&&te==1||my==3&&te==2
    puts"あなたの負けです😢"
    
  elsif my==1&&te==1||my==2&&te==2||my==3&&te==3

    puts"あいこです。"
    puts"あいこでしょ!"

    redo
  else

    print"その選択肢はないよ!"
end 
sleep(3)
  Process.kill(:INT,pid)
  puts"もう一度やりますか?(やるorやらない)"
  mouitido=gets.chomp
  if mouitido=="やる"
    redo
  elsif mouitido=="やらない"
    break  
  else print"その選択肢はないよ"
  end
end
